import { DocAdapter } from "../webrtc/client/doc-adapter";
import { ObservableYMap } from "./observable-y-map";
export declare class SyncStore<TEntity> {
    protected name: any;
    private doc;
    adapter: DocAdapter;
    private items;
    constructor(name: any);
    Items: ObservableYMap<TEntity>;
    IsSynced: boolean;
    useIndexedDB(): void;
}
